# Banana Cake
## Instructions

1. Assume an action set of {add \<ingredient>, stir, bake, cool}. Draw a flowchart, using the paradigm discussed in class, to show the process of baking a banana cake. Use Google to find a typical list of ingredients.
2. Represent the flowchart from problem 1 as pseudocode.

## Diagram
```d2
vars: {
	d2-config: {
		dark-theme-id: 200
		layout-engine: elk
	}
}
grid-columns: 3

begin: {
	shape: oval
	# near: top-left
}

begin -> add 3c flour\
-> add 1 1/2 tsp baking soda\
-> add 1/2 tsp cinnamon\
-> add 1/2 tsp salt\
-> stir\
-> add 3 mashed bananas\
-> add 1 tsp lemon juice\
-> stir again\
-> add 3 eggs\
-> add 2tsp vanilla extract\
-> stir a final time\
-> bake @ 350f for 50 min\
-> let cool for 1 hour\
-> end
end: {
	shape: oval
	# near: bottom-right
}
```

## Pseudocode
